-----Original Message-----
From: [EMAIL PROTECTED]
[mailto:[EMAIL PROTECTED] Behalf Of Bill Moran
Sent: Wednesday, August 30, 2006 1:14 PM
To: Daniel Gerzo
Cc: fbsd; [EMAIL PROTECTED] ORG
Subject: Re: problem with phpMyAdmin port


In response to Daniel Gerzo <[EMAIL PROTECTED]>:

> > When I try to run phpMyAdmin I get this error
> > Fatal error: Call to undefined function preg_replace() in
> > /usr/local/www/phpMyAdmin/libraries/sanitizing.lib.php on line
37
>
> this is not error of the port. You are missing PCRE php extension.
> Install the lang/php4-extensions or php5-extensions port.

Actually, this _is_ an error in the port.  The port should properly
specify the pcre extension as a dependency.  The workaround
suggested
will get you going, however.

If this problem is reproducible, you should file a PR.

Are you sure the port installed successfully?  I just installed this
port a few weeks ago and it worked fine.  If you're ports tree is
up to date, then these bugs are newly introduced.

--
Bill Moran
Collaborative Fusion Inc.

******************************************************

pkg_info shows php5-pcre-5.1.4 installed so is this not
the correct pcre dependency?



_______________________________________________
freebsd-questions@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/freebsd-questions
To unsubscribe, send any mail to "[EMAIL PROTECTED]"

Reply via email to